<?php

namespace WC_Integration_NettiX\Plugin;

use Exception;

class Nettiauto_Ad_Handler extends Ad_Handler {
	/**
	 * @param array $response_array
	 *
	 * @return void
	 * @throws Exception
	 */
	public function handle( array $response_array ) {
		foreach ( $response_array as $ad_response_data ) {
			$category = $this->get_category( 'nettiauto' );

			if ( sanitize_text_field( $ad_response_data['status'] == 'forsale' ) ) {
				try {
					$ad_data = $this->populate_ad_data( $ad_response_data );
				} catch ( Exception $e ) {
					continue;
				}

				$ad_data->set_slug_prefix( 'nettiauto' );
				$ad_data->add_category_id( $category->term_id );

				$this->create_or_update_product( $ad_data );
			} else {
				$this->remove_product( $ad_response_data );
			}
		}
	}
}