<?php

namespace WC_Integration_NettiX\Plugin;

class Plugin_Settings {
	private ?array $settings = [];

	public function __construct( ?array $settings = null ) {
		$this->settings = $settings ?? get_option( 'woocommerce_wc-integration-to-nettix_settings' ) ?: [];
	}

	public function get_client_id(): string {
		return $this->settings['nettix_client_id'] ?? '';
	}

	public function get_client_secret(): string {
		return $this->settings['nettix_secret_id'] ?? '';
	}

	public function get_user_ids(): string {
		return $this->settings['nettix_user_ids'] ?? '';
	}

	public function get_service_bike(): string {
		return $this->settings['nettix_service_bike'] ?? '';
	}

	public function get_service_boat(): string {
		return $this->settings['nettix_service_boat'] ?? '';
	}

	public function get_service_car(): string {
		return $this->settings['nettix_service_car'] ?? '';
	}
}